FreeMat

- Main Page
- Related Pages

WHICH Get Information on Function

Section: Inspection Functions

# Usage

Returns information on a function (if defined). The usage is

       which(fname)

where `fname` is a `string` argument that contains the name of the function. For functions and scripts defined via `.m` files, the `which` command returns the location of the source file:

       y = which(fname)

will return the filename for the `.m` file corresponding to the given function, and an empty string otherwise.

# Example

First, we apply the `which` command to a built in function.

    --> which fft
    Function fft is a built in function

Next, we apply it to a function defined via a `.m` file.

    --> which fliplr
    Function fliplr, M-File function in file '/home/sbasu/Devel/FreeMat4/toolbox/array/fliplr.m'